Get renewal prices
GET
https://api.lws.net/v1/
operationIdgetHostingPricerenew
Get the renewal price of the hosting and domain in Euro (€) as well as their status.
Path parameters
-
hostingstring required -
The domain name whose renewal price and status you want to retrieve
Responses
200
Data retrieved successfully
{
"code": 200,
"info": "Retrieved Hosting and Domain renew prices (Euro (€)/month)",
"data": [
{
"price": {
"total": 91.62,
"hosting": 6.99,
"domain": 0.75,
"support": 60,
"backup": 23.88
},
"status": {
"hosting_status": {
"expired": 6,
"expired_info": "Hosting has expired 6 days ago",
"to_renew": false,
"status": "string",
"status_info": "string",
"txt": "string"
},
"domain_status": {
"expired": 4,
"expired_info": "Domain has expired 4 days ago",
"to_renew": true,
"status": "quarantine",
"status_info": "Domain is in quarantine and will soon be deleted",
"txt": "string"
}
}
}
]
}
Response fields 24
-
codeinteger -
infostring -
dataobject[] -
priceobject -
totalnumberTotal price to pay to renew everything, in Euro (€)
-
hostingnumberPrice to renew only the hosting, in Euro (€)
-
domainnumberPrice to renew only the domain, in Euro (€)
-
supportnumberPrice to renew the Technical Support option, in Euro (€)
-
backupnumberPrice to renew the Backup option, in Euro (€)
-
statusobject -
hosting_statusobjectDetails about the hosting status
-
expiredintegerNumber of days the hosting has been expired. -1 if not expired
-
expired_infostringInformations about the hosting expiration
-
to_renewbooleanWhether the hosting has to be renewed or not
-
statusstringCurrent status of the hosting
-
status_infostringInformations about the hosting status
-
txtstringPotentially unhandled status
-
domain_statusobjectDetails about the domain status
-
expiredintegerNumber of days the domain has been expired. -1 if not expired
-
expired_infostringInformations about the domain expiration
-
to_renewbooleanWhether the domain has to be renewed or not
-
statusstringCurrent status of the domain
-
status_infostringInformations about the domain status
-
txtstringPotentially unhandled status
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2
-
codeinteger -
infostring
400
Invalid input
{
"code": 400,
"info": "No hosting provided",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataany[]
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "Error message"
}
Response fields 3
-
codeinteger -
infostring -
datastring
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataobject